Ticket #1275 (reopened defect)

Opened 4 years ago

Last modified 3 years ago

uSD partition damaged after reboot

Reported by: glennmh Owned by: mrmoku
Priority: blocker Milestone:
Component: SHR Image Version: SHR-unstable
Keywords: partition damage typ second reboot Cc:

Description

I have embedded the command history - used an updated 110118 unstable today. The uSD is a Transcend class 6 SDHC 16GByte, that worked stable with kernel 2.6.29:

root@om-gta02 / # fdisk /dev/mmcblk0

The number of cylinders for this disk is set to 490432.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs

(e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders
Units = cylinders of 64 * 512 = 32768 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 1 490432 15693816 83 Linux

Command (m for help): d
Selected partition 1

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4): 1
First cylinder (1-490432, default 1):
Using default value 1
Last cylinder, +cylinders or +size{K,M,G} (1-490432, default 490432):
Using default value 490432

Command (m for help): w
The partition table has been altered!

Calling ioctl() to re-read partition table.
Syncing disks.
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p1
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 16070467584 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
981120 inodes, 3923454 blocks
196172 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=4018143232
120 block groups
32768 blocks per group, 32768 fragments per group
8176 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208

Writing inode tables: done
Creating journal (32768 blocks):

done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 32 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / #
root@om-gta02 / #
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 126996 125548 50% /
devtmpfs 63016 0 63016 0% /dev
shmfs 63076 0 63076 0% /dev/shm
tmpfs 63076 772 62304 1% /var/volatile
tmpfs 63076 0 63076 0% /dev/shm
tmpfs 63076 0 63076 0% /media/ram
volatile 63076 772 62304 1% /var/volatile
root@om-gta02 / # mount /dev/mmcblk0p1/ /media/mmcblk0p1/
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 126988 125556 50% /
devtmpfs 63016 0 63016 0% /dev
shmfs 63076 0 63076 0% /dev/shm
tmpfs 63076 772 62304 1% /var/volatile
tmpfs 63076 0 63076 0% /dev/shm
tmpfs 63076 0 63076 0% /media/ram
volatile 63076 772 62304 1% /var/volatile
/dev/mmcblk0p1 15447496 169508 14493300 1% /media/mmcblk0p1
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / #init 0

After a reboot partition "/media/mmcblk0p1" is not mountable any more:

root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127720 124824 51% /
devtmpfs 63016 0 63016 0% /dev
shmfs 63076 0 63076 0% /dev/shm
tmpfs 63076 236 62840 0% /var/volatile
tmpfs 63076 0 63076 0% /dev/shm
tmpfs 63076 0 63076 0% /media/ram
volatile 63076 236 62840 0% /var/volatile
root@om-gta02 / # mount /dev/mmcblk0p1/ /media/mmcblk0p1/
mount: you must specify the filesystem type
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p1
mke2fs 1.41.14 (22-Dec-2010)
Could not stat /dev/mmcblk0p1 --- No such file or directory

The device apparently does not exist; did you specify it correctly?
root@om-gta02 / # fdisk /dev/mmcblk0

The number of cylinders for this disk is set to 490432.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs

(e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders
Units = cylinders of 64 * 512 = 32768 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 1 490432 15693816 83 Linux

Command (m for help):

Only by fdisking it, is it possible to use the partition again after a mkfs.ext3 formatting.

Change History

comment:1 follow-up: ↓ 2 Changed 4 years ago by jama

Can you confirm that you had kernel from 110118 image/feed before rebooting?

SHR root@gjama / $ opkg info kernel
Package: kernel
Version: 2.6.34.8-oe16-r7-oe16.6

oe16 is important, oe15 was still with KMS patches which some say were causing uSD problems for them, see #1258 #1143 #1130 and referenced  https://docs.openmoko.org/trac/ticket/1802, changing sd clock should help with your uSD.

comment:2 in reply to: ↑ 1 Changed 4 years ago by glennmh

Replying to jama:

Can you confirm that you had kernel from 110118 image/feed before rebooting?

SHR root@gjama / $ opkg info kernel
Package: kernel
Version: 2.6.34.8-oe16-r7-oe16.6

oe16 is important, oe15 was still with KMS patches which some say were causing uSD problems for them, see #1258 #1143 #1130 and referenced  https://docs.openmoko.org/trac/ticket/1802, changing sd clock should help with your uSD.

Yes:

root@om-gta02 ~ # opkg info kernel
Package: kernel
Version: 2.6.34.8-oe16-r7-oe16.6
Depends: kernel-2.6.34.8
Provides:
Status: install ok installed
Section: kernel
Architecture: om-gta02
Maintainer: OpenEmbedded? Team <openembedded-devel@…>
MD5Sum: ed911cf7939a1ac1ef40ee9e338dcf6f
Size: 924
Filename: kernel_2.6.34.8-oe16-r7-oe16.6_om-gta02.ipk
Source:  http://kernel.org/pub/linux/kernel/v2.6/linux-2.6.34.tar.bz2;name=kernel  http://kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.34/patch-2.6.34.8.bz2;apply=yes;name=stablepatch  file://ARM-Add-support-for-LZMA-compressed-kernel-images.patch;status=pending  file://defconfig  file://openmoko.patch  file://shr.patch
Description: Linux Kernel
Installed-Time: 1295348502

root@om-gta02 ~ #

comment:3 Changed 4 years ago by glennmh

I have now tried uSD with:

shr-full-eglibc-ipk--20110124-om-gta02.rootfs.jffs2

(and uImage-2.6.34-r7-oe16-om-gta02.bin as before)

Same result - uSD can not be mounted after reboot but fdisk can see the partition.

Same kernel:

root@om-gta02 / # opkg info kernel
Package: kernel
Version: 2.6.34.8-oe16-r7-oe16.6
Depends: kernel-2.6.34.8
Provides:
Status: install ok installed
Section: kernel
Architecture: om-gta02
Maintainer: OpenEmbedded? Team <openembedded-devel@…>
MD5Sum: ed911cf7939a1ac1ef40ee9e338dcf6f
Size: 924
Filename: kernel_2.6.34.8-oe16-r7-oe16.6_om-gta02.ipk
Source:  http://kernel.org/pub/linux/kernel/v2.6/linux-2.6.34.tar.bz2;name=kernel  http://kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.34/patch-2.6.34.8.bz2;apply=yes;name=stablepatch  file://ARM-Add-support-for-LZMA-compressed-kernel-images.patch;status=pending  file://defconfig  file://openmoko.patch  file://shr.patch
Description: Linux Kernel
Installed-Time: 1295878677

root@om-gta02 / #

comment:4 Changed 4 years ago by glennmh

Please note that in the tests, the phone never suspended.

The first thing I do (for now) after starting the phone, is to disable suspend.

comment:5 follow-up: ↓ 8 Changed 3 years ago by glennmh

  • Status changed from new to closed
  • Resolution set to fixed in unstable

With:
uImage-2.6.34-r7-oe17-om-gta02.bin
and
shr-full-eglibc-ipk--20110226-om-gta02.rootfs.jffs2
updated today the partition(s) now survives mutible reboots.

Thanks to whom it might apply.

comment:6 Changed 3 years ago by Heinervdm

  • Status changed from closed to reopened
  • Resolution fixed in unstable deleted

comment:7 Changed 3 years ago by Heinervdm

  • Status changed from reopened to closed
  • Resolution set to fixed

comment:8 in reply to: ↑ 5 Changed 3 years ago by glennmh

  • Status changed from closed to reopened
  • Keywords partition damage typ second reboot added
  • Resolution fixed deleted

Replying to glennmh:

With:
uImage-2.6.34-r7-oe17-om-gta02.bin
and
shr-full-eglibc-ipk--20110226-om-gta02.rootfs.jffs2
updated today the partition(s) now survives mutible reboots.

Thanks to whom it might apply.

Thought the partition "demolishing" was gone.

But after a few reboots with an updated (at 20110310) image (shr-full-eglibc-ipk--20110226-om-gta02.rootfs.jffs2 + uImage-2.6.34-r7-oe17-om-gta02.bin) (also with Navit...) the partition was gone again. But at least the partition survived several reboots.

-

A new test was performed to test what was "needed" to demolish the partion. With an unupdated (shr-full-eglibc-ipk--20110226-om-gta02.rootfs.jffs2) with no additional installs, the partition was typically gone after the second reboot:

Somewhere this was performed:
# cd /
# mkdir media/mmcblk0p1/
# mkdir media/mmcblk0p2/
# mkdir media/mmcblk0p3/
# mkdir media/mmcblk0p4/

# vi etc/fstab
! Insert:
/dev/mmcblk0p1 /media/mmcblk0p1 auto defaults,async 0 0
/dev/mmcblk0p2 /media/mmcblk0p2 auto defaults,async 0 0
/dev/mmcblk0p3 /media/mmcblk0p3 auto defaults,async 0 0
/dev/mmcblk0p4 /media/mmcblk0p4 auto defaults,async 0 0
remove old /dev/mmcblk0p1 line.

! Rest of the test:

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 126880 125664 50% /
devtmpfs 63036 0 63036 0% /dev
shmfs 63092 0 63092 0% /dev/shm
tmpfs 63092 288 62804 0% /var/volatile
tmpfs 63092 0 63092 0% /dev/shm
tmpfs 63092 0 63092 0% /media/ram
volatile 63092 288 62804 0% /var/volatile
root@om-gta02 / # fdisk /dev/mmcblk0

Command (m for help): d
Selected partition 1

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 1):
Using default value 1
First sector (2048-31387647, default 2048):
Using default value 2048
Last sector, +sectors or +size{K,M,G} (2048-31387647, default 31387647):
Using default value 31387647

Command (m for help): w
The partition table has been altered!

Calling ioctl() to re-read partition table.
Syncing disks.
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p1
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 16069427200 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
981120 inodes, 3923200 blocks
196160 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=4018143232
120 block groups
32768 blocks per group, 32768 fragments per group
8176 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208

Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 39 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / #
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # init 0
root@om-gta02 / #

After one reboot partition "/media/mmcblk0p1" IS mounted:

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 130260 122284 52% /
devtmpfs 63036 0 63036 0% /dev
shmfs 63092 0 63092 0% /dev/shm
tmpfs 63092 256 62836 0% /var/volatile
tmpfs 63092 0 63092 0% /dev/shm
tmpfs 63092 0 63092 0% /media/ram
/dev/mmcblk0p1 15446480 169508 14492332 1% /media/mmcblk0p1
volatile 63092 256 62836 0% /var/volatile
root@om-gta02 / #

Second reboot partition "/media/mmcblk0p1" is GONE. But it also happens after only one reboot:

root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 126860 125684 50% /
devtmpfs 63036 0 63036 0% /dev
shmfs 63092 0 63092 0% /dev/shm
tmpfs 63092 272 62820 0% /var/volatile
tmpfs 63092 0 63092 0% /dev/shm
tmpfs 63092 0 63092 0% /media/ram
volatile 63092 272 62820 0% /var/volatile
root@om-gta02 / #

Note:

  • No Openmoko suspend did occur while testing.
  • Suspending was disabled as soon as possible after a reboot.

-
-
-

A test using the former (shr-full-eglibc-ipk--20110226-om-gta02.rootfs.jffs2 + uImage-2.6.34-r7-oe17-om-gta02.bin) firmware got an update (110310 ca.10 PM CET) with no additional installs (NO suspending occurred during the update), the partition was typically gone after the second reboot:

! This was performed:
# opkg update;opkg upgrade;sync;sync;sync

! Some error occurred during updating:
Collected errors:

  • file_md5sum_alloc: Failed to open file /etc/libphoneui.conf: No such file or directory.
  • remove_obsolesced_files: unlinking /etc/rcS.d/S98configure failed: No such file or directory.
  • opkg_install_pkg: Failed to determine obsolete files from previously installed opkg
  • resolve_conffiles: Existing conffile /etc/phonefsod.conf is different from the conffile in the new package. The new conffile will be placed at /etc/phonefsod.conf-opkg.

root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # init 0

! Rest of the test:

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 129936 122608 51% /
devtmpfs 63036 0 63036 0% /dev
shmfs 63092 0 63092 0% /dev/shm
tmpfs 63092 276 62816 0% /var/volatile
tmpfs 63092 0 63092 0% /dev/shm
tmpfs 63092 0 63092 0% /media/ram
volatile 63092 276 62816 0% /var/volatile
root@om-gta02 / # fdisk /dev/mmcblk0

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 31387647 15692800 83 Linux

Command (m for help): d
Selected partition 1

Command (m for help): n
Command action

e extended
p primary partition (1-4)

Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 1):
Using default value 1
First sector (2048-31387647, default 2048):
Using default value 2048
Last sector, +sectors or +size{K,M,G} (2048-31387647, default 31387647):
Using default value 31387647

Command (m for help): w
The partition table has been altered!

Calling ioctl() to re-read partition table.
Syncing disks.
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p1
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 16069427200 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
981120 inodes, 3923200 blocks
196160 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=4018143232
120 block groups
32768 blocks per group, 32768 fragments per group
8176 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208

Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 30 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # init 0
root@om-gta02 / #

After one reboot partition "/media/mmcblk0p1" IS mounted (Shutdown Openmoko - and then Reboot Mac - and then boot Openmoko):

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 130024 122520 51% /
devtmpfs 63036 0 63036 0% /dev
shmfs 63092 0 63092 0% /dev/shm
tmpfs 63092 320 62772 1% /var/volatile
tmpfs 63092 0 63092 0% /dev/shm
tmpfs 63092 0 63092 0% /media/ram
/dev/mmcblk0p1 15446480 169508 14492332 1% /media/mmcblk0p1
volatile 63092 320 62772 1% /var/volatile
root@om-gta02 / # init 0
root@om-gta02 / #

Second reboot (same procedure as above) partition "/media/mmcblk0p1" is GONE:

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 130004 122540 51% /
devtmpfs 63036 0 63036 0% /dev
shmfs 63092 0 63092 0% /dev/shm
tmpfs 63092 252 62840 0% /var/volatile
tmpfs 63092 0 63092 0% /dev/shm
tmpfs 63092 0 63092 0% /media/ram
volatile 63092 252 62840 0% /var/volatile
root@om-gta02 / #

Note:

  • No Openmoko suspend did occur while testing.
  • Suspending was disabled as soon as possible after a reboot.

comment:9 Changed 3 years ago by glennmh

Thought the partition "demolishing" was gone.

But after a few reboots with an un-updated image (shr-full-eglibc-ipk--20110521-om-gta02.rootfs.jffs2 + uImage-2.6.37-r5-oe3-om-gta02.bin) the partition was gone again. But at least the partition survived one reboot, but not the second.

-

A new test was performed to test what was "needed" to demolish the partion. With an unupdated (shr-full-eglibc-ipk--20110226-om-gta02.rootfs.jffs2) with no additional installs, the partition was typically gone after the second reboot:

Somewhere this was performed:
# cd /
# mkdir media/mmcblk0p1/
# mkdir media/mmcblk0p2/
# mkdir media/mmcblk0p3/
# mkdir media/mmcblk0p4/

# vi etc/fstab
! Insert:
/dev/mmcblk0p1 /media/mmcblk0p1 auto defaults,async 0 0
/dev/mmcblk0p2 /media/mmcblk0p2 auto defaults,async 0 0
/dev/mmcblk0p3 /media/mmcblk0p3 auto defaults,async 0 0
/dev/mmcblk0p4 /media/mmcblk0p4 auto defaults,async 0 0
remove old /dev/mmcblk0p1 line.

! Rest of the test:

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127252 125292 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 600 62436 1% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 600 62436 1% /var/volatile
root@om-gta02 / # fdisk /dev/mmcblk0

Command (m for help): d
Selected partition 1

Command (m for help): d
No partition is defined yet!

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 1): 1
First sector (2048-31387647, default 2048):
Using default value 2048
Last sector, +sectors or +size{K,M,G} (2048-31387647, default 31387647): +8M

Command (m for help): t
Selected partition 1
Hex code (type L to list codes): 6
Changed system type of partition 1 to 6 (FAT16)

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 2): 2
First sector (18432-31387647, default 18432):
Using default value 18432
Last sector, +sectors or +size{K,M,G} (18432-31387647, default 31387647): +1800M

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 3): 3
First sector (3704832-31387647, default 3704832):
Using default value 3704832
Last sector, +sectors or +size{K,M,G} (3704832-31387647, default 31387647): +6800M

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux
/dev/mmcblk0p3 3704832 17631231 6963200 83 Linux

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Selected partition 4
First sector (17631232-31387647, default 17631232):
Using default value 17631232
Last sector, +sectors or +size{K,M,G} (17631232-31387647, default 31387647):
Using default value 31387647

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux
/dev/mmcblk0p3 3704832 17631231 6963200 83 Linux
/dev/mmcblk0p4 17631232 31387647 6878208 83 Linux

Command (m for help): w
The partition table has been altered!

Calling ioctl() to re-read partition table.

WARNING: If you have created or modified any DOS 6.x
partitions, please see the fdisk manual page for additional
information.
Syncing disks.
root@om-gta02 / # umount /dev/mmcblk0p1/
umount: /dev/mmcblk0p1/: Not a directory
root@om-gta02 / # mkfs.vfat -v /dev/mmcblk0p1
mkfs.vfat 2.11 (12 Mar 2005)
/dev/mmcblk0p1 has 4 heads and 16 sectors per track,
logical sector size is 512,
using 0xf8 media descriptor, with 16384 sectors;
file system has 2 12-bit FATs and 8 sectors per cluster.
FAT size is 6 sectors, and provides 2042 clusters.
Root directory contains 512 slots.
Volume ID is 4dd95949, no volume label.
root@om-gta02 / # mount /dev/mmcblk0p1/ /media/card/
root@om-gta02 / #
root@om-gta02 / # umount /dev/mmcblk0p2/
umount: /dev/mmcblk0p2/: Not a directory
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p2
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 1887436800 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
115200 inodes, 460800 blocks
23040 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=473956352
15 block groups
32768 blocks per group, 32768 fragments per group
7680 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912

Writing inode tables: done
Creating journal (8192 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 34 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # mount /dev/mmcblk0p2/ /media/mmcblk0p2/
root@om-gta02 / #
root@om-gta02 / # umount /dev/mmcblk0p3/
umount: /dev/mmcblk0p3/: Not a directory
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p3
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 7130316800 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
435456 inodes, 1740800 blocks
87040 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=1782579200
54 block groups
32768 blocks per group, 32768 fragments per group
8064 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632

Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 22 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # mount /dev/mmcblk0p3/ /media/mmcblk0p3/
root@om-gta02 / #
root@om-gta02 / # umount /dev/mmcblk0p4/
umount: /dev/mmcblk0p4/: Not a directory
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p4
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 7043284992 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
429936 inodes, 1719552 blocks
85977 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=1761607680
53 block groups
32768 blocks per group, 32768 fragments per group
8112 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632

Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 28 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # mount /dev/mmcblk0p4/ /media/mmcblk0p4/
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127256 125288 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 732 62304 1% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 732 62304 1% /var/volatile
/dev/mmcblk0p1 8168 0 8168 0% /media/card
/dev/mmcblk0p2 1814232 35516 1686556 2% /media/mmcblk0p2
/dev/mmcblk0p3 6853832 146492 6359180 2% /media/mmcblk0p3
/dev/mmcblk0p4 6770228 146312 6280008 2% /media/mmcblk0p4
root@om-gta02 / #
root@om-gta02 / # init 0
root@om-gta02 / #

After one reboot partition "/media/mmcblk0p1" IS mounted:

root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127472 125072 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 280 62756 0% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
/dev/mmcblk0p1 8168 0 8168 0% /media/mmcblk0p1
/dev/mmcblk0p2 1814232 35516 1686556 2% /media/mmcblk0p2
/dev/mmcblk0p3 6853832 146492 6359180 2% /media/mmcblk0p3
/dev/mmcblk0p4 6770228 146312 6280008 2% /media/mmcblk0p4
volatile 63036 280 62756 0% /var/volatile
root@om-gta02 / #

-

Second reboot partition "/media/mmcblk0p1" is GONE. But it also happens after only one reboot:

root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127512 125032 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 244 62792 0% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 244 62792 0% /var/volatile
root@om-gta02 / #

Note:

  • No Openmoko suspend did occur while testing.
  • Suspending was disabled as soon as possible after a reboot.

comment:10 Changed 3 years ago by glennmh

A new test was performed. With an unupdated (uImage-2.6.37-r5-oe6-om-gta02.bin, shr-full-eglibc-ipk--20110610-om-gta02.rootfs.jffs2) with no additional installs, the partition was typically gone after the second reboot:

Somewhere this was performed:
# cd /
# mkdir media/mmcblk0p1/
# mkdir media/mmcblk0p2/
# mkdir media/mmcblk0p3/
# mkdir media/mmcblk0p4/

# vi etc/fstab
! Insert:
/dev/mmcblk0p1 /media/mmcblk0p1 auto defaults,async 0 0
/dev/mmcblk0p2 /media/mmcblk0p2 auto defaults,async 0 0
/dev/mmcblk0p3 /media/mmcblk0p3 auto defaults,async 0 0
/dev/mmcblk0p4 /media/mmcblk0p4 auto defaults,async 0 0
remove old /dev/mmcblk0p1 line.

! Rest of the test:

root@om-gta02 ~ # cd /
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127144 125400 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 972 62064 2% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 972 62064 2% /var/volatile
root@om-gta02 / # fdisk /dev/mmcblk0

Command (m for help): d
Selected partition 1

Command (m for help): d
No partition is defined yet!

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 1): 1
First sector (2048-31387647, default 2048):
Using default value 2048
Last sector, +sectors or +size{K,M,G} (2048-31387647, default 31387647): +8M

Command (m for help): t
Selected partition 1
Hex code (type L to list codes): 6
Changed system type of partition 1 to 6 (FAT16)

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 2): 2
First sector (18432-31387647, default 18432):
Using default value 18432
Last sector, +sectors or +size{K,M,G} (18432-31387647, default 31387647): +1800M

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Partition number (1-4, default 3): 3
First sector (3704832-31387647, default 3704832):
Using default value 3704832
Last sector, +sectors or +size{K,M,G} (3704832-31387647, default 31387647): +6800M

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux
/dev/mmcblk0p3 3704832 17631231 6963200 83 Linux

Command (m for help): n
Command action

e extended
p primary partition (1-4)

p
Selected partition 4
First sector (17631232-31387647, default 17631232):
Using default value 17631232
Last sector, +sectors or +size{K,M,G} (17631232-31387647, default 31387647):
Using default value 31387647

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux
/dev/mmcblk0p3 3704832 17631231 6963200 83 Linux
/dev/mmcblk0p4 17631232 31387647 6878208 83 Linux

Command (m for help): w
The partition table has been altered!

Calling ioctl() to re-read partition table.

WARNING: If you have created or modified any DOS 6.x
partitions, please see the fdisk manual page for additional
information.
Syncing disks.
root@om-gta02 / # umount /dev/mmcblk0p1/
umount: /dev/mmcblk0p1/: Not a directory
root@om-gta02 / # mkfs.vfat -v /dev/mmcblk0p1
mkfs.vfat 2.11 (12 Mar 2005)
/dev/mmcblk0p1 has 4 heads and 16 sectors per track,
logical sector size is 512,
using 0xf8 media descriptor, with 16384 sectors;
file system has 2 12-bit FATs and 8 sectors per cluster.
FAT size is 6 sectors, and provides 2042 clusters.
Root directory contains 512 slots.
Volume ID is 4df5c864, no volume label.
root@om-gta02 / # mount /dev/mmcblk0p1/ /media/mmcblk0p1/
root@om-gta02 / # ! mount /dev/mmcblk0p1/ /media/card/
root@om-gta02 / #
root@om-gta02 / # umount /dev/mmcblk0p2/
umount: /dev/mmcblk0p2/: Not a directory
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p2
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 1887436800 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
115200 inodes, 460800 blocks
23040 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=473956352
15 block groups
32768 blocks per group, 32768 fragments per group
7680 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912

Writing inode tables: done
Creating journal (8192 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 22 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # mount /dev/mmcblk0p2/ /media/mmcblk0p2/
root@om-gta02 / #
root@om-gta02 / # umount /dev/mmcblk0p3/
umount: /dev/mmcblk0p3/: Not a directory
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p3
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 7130316800 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
435456 inodes, 1740800 blocks
87040 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=1782579200
54 block groups
32768 blocks per group, 32768 fragments per group
8064 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632

Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 38 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # mount /dev/mmcblk0p3/ /media/mmcblk0p3/
root@om-gta02 / #
root@om-gta02 / # umount /dev/mmcblk0p4/
umount: /dev/mmcblk0p4/: Not a directory
root@om-gta02 / # mkfs.ext3 -v /dev/mmcblk0p4
mke2fs 1.41.14 (22-Dec-2010)
fs_types for mke2fs.conf resolution: 'ext3'
Calling BLKDISCARD from 0 to 7043284992 failed.
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
429936 inodes, 1719552 blocks
85977 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=1761607680
53 block groups
32768 blocks per group, 32768 fragments per group
8112 inodes per group
Superblock backups stored on blocks:

32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632

Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 28 mounts or
180 days, whichever comes first. Use tune2fs -c or -i to override.
root@om-gta02 / # mount /dev/mmcblk0p4/ /media/mmcblk0p4/
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127148 125396 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 1068 61968 2% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 1068 61968 2% /var/volatile
/dev/mmcblk0p1 8168 0 8168 0% /media/mmcblk0p1
/dev/mmcblk0p1 8168 0 8168 0% /media/card
/dev/mmcblk0p2 1814232 35516 1686556 2% /media/mmcblk0p2
/dev/mmcblk0p3 6853832 146492 6359180 2% /media/mmcblk0p3
/dev/mmcblk0p4 6770228 146312 6280008 2% /media/mmcblk0p4
root@om-gta02 / #
root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127256 125288 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 732 62304 1% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 732 62304 1% /var/volatile
/dev/mmcblk0p1 8168 0 8168 0% /media/card
/dev/mmcblk0p2 1814232 35516 1686556 2% /media/mmcblk0p2
/dev/mmcblk0p3 6853832 146492 6359180 2% /media/mmcblk0p3
/dev/mmcblk0p4 6770228 146312 6280008 2% /media/mmcblk0p4
root@om-gta02 / #
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # sync
root@om-gta02 / # init 0
root@om-gta02 / #

After one reboot partition "/media/mmcblk0p1" is NOT mounted:

root@om-gta02 / # df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/root 252544 127204 125340 50% /
devtmpfs 62976 0 62976 0% /dev
shmfs 63036 0 63036 0% /dev/shm
tmpfs 63036 1276 61760 2% /var/volatile
tmpfs 63036 0 63036 0% /dev/shm
tmpfs 63036 0 63036 0% /media/ram
volatile 63036 1276 61760 2% /var/volatile
root@om-gta02 / #
root@om-gta02 / # mount /dev/mmcblk0p1/ /media/mmcblk0p1/
mount: special device /dev/mmcblk0p1/ does not exist
root@om-gta02 / # mount /dev/mmcblk0p2/ /media/mmcblk0p2/
mount: special device /dev/mmcblk0p2/ does not exist
root@om-gta02 / # mount /dev/mmcblk0p3/ /media/mmcblk0p3/
mount: special device /dev/mmcblk0p3/ does not exist
root@om-gta02 / # mount /dev/mmcblk0p4/ /media/mmcblk0p4/
mount: special device /dev/mmcblk0p4/ does not exist
root@om-gta02 / # fdisk /dev/mmcblk0

Command (m for help): p

Disk /dev/mmcblk0: 16.1 GB, 16070475776 bytes
4 heads, 16 sectors/track, 490432 cylinders, total 31387648 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System

/dev/mmcblk0p1 2048 18431 8192 6 FAT16
/dev/mmcblk0p2 18432 3704831 1843200 83 Linux
/dev/mmcblk0p3 3704832 17631231 6963200 83 Linux
/dev/mmcblk0p4 17631232 31387647 6878208 83 Linux

Command (m for help): q

root@om-gta02 / #
root@om-gta02 / # cd /dev
root@om-gta02 /dev # ls -l
...
crw------- 1 root root 1, 1 Jan 1 1970 mem
brw------- 1 root root 179, 0 Jun 13 10:27 mmcblk0
crw------- 1 root root 90, 0 Jan 1 1970 mtd0
...

Note:

  • No Openmoko suspend did occur while testing.
  • Suspending was disabled as soon as possible after a reboot.

comment:11 Changed 3 years ago by GNUtoo

I've a 32G microsd card and with the stock image it does I/O errors after suspend/resume:

root@om-gta02:~# dmesg
[    0.000000] Linux version 2.6.39.4 (gnutoo@trisquel) (gcc version 4.6.2 20111017 (prerelease) (GCC) ) #1 Thu Oct 20 20:58:14 CEST 2011
[    0.000000] CPU: ARM920T [41129200] revision 0 (ARMv4T), cr=c0007177
[    0.000000] CPU: VIVT data cache, VIVT instruction cache
[    0.000000] Machine: GTA02
[    0.000000] Memory policy: ECC disabled, Data cache writeback
[    0.000000] BUG: mapping for 0x19000000 at 0xe0000000 overlaps vmalloc space
[    0.000000] CPU S3C2442B (id 0x32440aab)
[    0.000000] S3C24XX Clocks, Copyright 2004 Simtec Electronics
[    0.000000] S3C244X: core 400.000 MHz, memory 100.000 MHz, peripheral 50.000 MHz
[    0.000000] CLOCK: Slow mode (1.500 MHz), fast, MPLL on, UPLL on
[    0.000000] On node 0 totalpages: 32768
[    0.000000] free_area_init_node: node 0, pgdat c0397848, node_mem_map c03e7000
[    0.000000]   Normal zone: 256 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 32512 pages, LIFO batch:7
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32512
[    0.000000] Kernel command line: loglevel=4 console=tty0 console=ttySAC2,115200 init=/sbin/init ro  mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(qi),0x00040000(depr-ub-env),0x00800000(kernel),0x000a0000(depr),0x00040000(identity-ext2),0x0f6a0000(rootfs)  rootfstype=ubifs  ubi.mtd=6,2048  root=ubi0:om-gta02-rootfs 
[    0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[    0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Memory: 128MB = 128MB total
[    0.000000] Memory: 125916k/125916k available, 5156k reserved, 0K highmem
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)
[    0.000000]     DMA     : 0xffc00000 - 0xffe00000   (   2 MB)
[    0.000000]     vmalloc : 0xc8800000 - 0xf6000000   ( 728 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)
[    0.000000]     modules : 0xbf000000 - 0xc0000000   (  16 MB)
[    0.000000]       .init : 0xc0008000 - 0xc0026000   ( 120 kB)
[    0.000000]       .text : 0xc0026000 - 0xc0379080   (3405 kB)
[    0.000000]       .data : 0xc037a000 - 0xc0397f00   ( 120 kB)
[    0.000000] NR_IRQS:85 nr_irqs:85 85
[    0.000000] irq: clearing pending ext status 000b12f0
[    0.000000] irq: clearing pending ext status 000902d0
[    0.000000] irq: clearing subpending status 00000180
[    0.000000] irq: clearing subpending status 00000080
[    0.000000] timer tcon=00000000, tcnt a2c1, tcfg 00000200,00000000, usec 00001eb8
[    0.000000] Console: colour dummy device 80x30
[    0.000000] console [tty0] enabled
[    0.000000] console [ttySAC2] enabled
[    0.000000] Calibrating delay loop... 199.47 BogoMIPS (lpj=498688)
[    0.040000] pid_max: default: 32768 minimum: 301
[    0.040000] Mount-cache hash table entries: 512
[    0.040000] CPU: Testing write buffer coherency: ok
[    0.040000] devtmpfs: initialized
[    0.045000] print_constraints: dummy: 
[    0.045000] NET: Registered protocol family 16
[    0.050000] S3C Power Management, Copyright 2004 Simtec Electronics
[    0.055000] S3C2442: Initialising architecture
[    0.055000] S3C24XX DMA Driver, Copyright 2003-2006 Simtec Electronics
[    0.055000] DMA channel 0 at c8808000, irq 33
[    0.055000] DMA channel 1 at c8808040, irq 34
[    0.055000] DMA channel 2 at c8808080, irq 35
[    0.055000] DMA channel 3 at c88080c0, irq 36
[    0.055000] S3C244X: Clock Support, DVS off
[    0.055000] s3c-adc s3c24xx-adc: attached adc driver
[    0.055000] s3c24xx-pwm s3c24xx-pwm.0: tin at 25000000, tdiv at 25000000, tin=divclk, base 0
[    0.055000] s3c24xx-pwm s3c24xx-pwm.1: tin at 25000000, tdiv at 25000000, tin=divclk, base 8
[    0.055000] s3c24xx-pwm s3c24xx-pwm.2: tin at 8333333, tdiv at 8333333, tin=divclk, base 12
[    0.055000] s3c24xx-pwm s3c24xx-pwm.3: tin at 8333333, tdiv at 8333333, tin=divclk, base 16
[    0.060000] bio: create slab <bio-0> at 0
[    0.065000] s3c-i2c s3c2440-i2c: slave address 0x10
[    0.065000] s3c-i2c s3c2440-i2c: bus frequency set to 97 KHz
[    0.075000] pcf50633 0-0073: Probed device version 19 variant 132
[    0.105000] wake enabled for irq 53
[    0.115000] print_constraints: auto: 3300 mV normal 
[    0.115000] print_constraints: down1: 1300 <--> 1600 mV at 1300 mV normal 
[    0.125000] print_constraints: down2: 1800 mV normal 
[    0.125000] print_constraints: ldo1: 3300 mV normal 
[    0.125000] print_constraints: ldo2: 3300 mV normal 
[    0.125000] print_constraints: ldo3: 3000 mV normal 
[    0.130000] print_constraints: ldo4: 3200 mV normal 
[    0.130000] print_constraints: ldo5: 3000 mV normal 
[    0.130000] print_constraints: ldo6: 3000 mV normal 
[    0.130000] print_constraints: hcldo: 2000 <--> 3300 mV at 3000 mV normal 
[    0.135000] print_constraints: memldo: 1800 mV normal 
[    0.135000] s3c-i2c s3c2440-i2c: i2c-0: S3C I2C adapter
[    0.180000] NET: Registered protocol family 2
[    0.180000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.180000] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.180000] TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
[    0.180000] TCP: Hash tables configured (established 4096 bind 4096)
[    0.180000] TCP reno registered
[    0.180000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.180000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.185000] NET: Registered protocol family 1
[    0.185000] gta02-pm-bt gta02-pm-bt.0: Openmoko Freerunner Bluetooth Power Management: starting
[    0.185000] gta02-pm-bt gta02-pm-bt.0: __gta02_pm_bt_toggle_radio 1
[    0.205000] gta02-pm-gps gta02-pm-gps.0: starting
[    0.205000] gta02-pm-wlan gta02-pm-wlan.0: starting
[    0.410000] JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
[    0.410000] msgmni has been set to 245
[    0.415000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.415000] io scheduler noop registered
[    0.415000] io scheduler deadline registered (default)
[    0.450000] print_constraints: GSM: 3700 mV normal 
[    0.470000] print_constraints: USBHOST: 3700 mV normal 
[    0.480000] s3c2440-uart.0: ttySAC0 at MMIO 0x50000000 (irq = 70) is a S3C2440
[    0.480000] s3c2440-uart.1: ttySAC1 at MMIO 0x50004000 (irq = 73) is a S3C2440
[    0.480000] s3c2440-uart.2: ttySAC2 at MMIO 0x50008000 (irq = 76) is a S3C2440
[    0.500000] brd: module loaded
[    0.500000] neo1973-resume neo1973-resume.0: starting
[    0.545000] SMEDIA Glamo frame buffer driver (C) 2007 Openmoko, Inc.
[    0.545000] glamo-fb glamo-fb.0: spin_lock_init
[    0.605000] Console: switching to colour frame buffer device 60x40
[    0.650000] fb0: SMedia Glamo frame buffer device
[    0.655000] glamo3362 glamo3362.0: Glamo core PLL1: 49119232Hz, PLL2: 89980928Hz
[    0.655000] physmap platform flash device: 00200000 at 18000000
[    0.655000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000020 Chip ID 0x008813
[    0.655000] Intel/Sharp Extended Query Table at 0x0039
[    0.655000] Intel/Sharp Extended Query Table at 0x0039
[    0.655000] Intel/Sharp Extended Query Table at 0x0039
[    0.655000] Intel/Sharp Extended Query Table at 0x0039
[    0.655000] Intel/Sharp Extended Query Table at 0x0039
[    0.655000] cfi_cmdset_0001: Erase suspend on write enabled
[    0.655000] erase region 0: offset=0x0,size=0x2000,blocks=8
[    0.655000] erase region 1: offset=0x10000,size=0x10000,blocks=31
[    0.655000] physmap-flash.0: 1 set(s) of 1 interleaved chips --> 4 partitions of 512 KiB
[    0.660000] RedBoot partition parsing not available
[    0.660000] S3C24XX NAND Driver, (c) 2004 Simtec Electronics
[    0.660000] s3c24xx-nand s3c2440-nand: Tacls=1, 10ns Twrph0=3 30ns, Twrph1=2 20ns
[    0.660000] s3c24xx-nand s3c2440-nand: NAND soft ECC
[    0.660000] NAND device: Manufacturer ID: 0xec, Chip ID: 0xaa (Samsung NAND 256MiB 1,8V 8-bit)
[    0.660000] 6 cmdlinepart partitions found on MTD device neo1973-nand
[    0.660000] Creating 6 MTD partitions on "neo1973-nand":
[    0.660000] 0x000000000000-0x000000040000 : "qi"
[    0.665000] 0x000000040000-0x000000080000 : "depr-ub-env"
[    0.670000] 0x000000080000-0x000000880000 : "kernel"
[    0.675000] 0x000000880000-0x000000920000 : "depr"
[    0.675000] 0x000000920000-0x000000960000 : "identity-ext2"
[    0.680000] 0x000000960000-0x000010000000 : "rootfs"
[    0.730000] UBI: attaching mtd6 to ubi0
[    0.730000] UBI: physical eraseblock size:   131072 bytes (128 KiB)
[    0.730000] UBI: logical eraseblock size:    126976 bytes
[    0.730000] UBI: smallest flash I/O unit:    2048
[    0.730000] UBI: sub-page size:              512
[    0.730000] UBI: VID header offset:          2048 (aligned 2048)
[    0.730000] UBI: data offset:                4096
[    1.010000] UBI: max. sequence number:       1374
[    1.025000] UBI: attached mtd6 to ubi0
[    1.025000] UBI: MTD device name:            "rootfs"
[    1.025000] UBI: MTD device size:            246 MiB
[    1.025000] UBI: number of good PEBs:        1973
[    1.025000] UBI: number of bad PEBs:         0
[    1.025000] UBI: number of corrupted PEBs:   0
[    1.025000] UBI: max. allowed volumes:       128
[    1.025000] UBI: wear-leveling threshold:    4096
[    1.025000] UBI: number of internal volumes: 1
[    1.025000] UBI: number of user volumes:     1
[    1.025000] UBI: available PEBs:             0
[    1.025000] UBI: total number of reserved PEBs: 1973
[    1.025000] UBI: number of PEBs reserved for bad PEB handling: 19
[    1.025000] UBI: max/mean erase counter: 2/1
[    1.025000] UBI: image sequence number:  250757446
[    1.030000] UBI: background thread "ubi_bgt0d" started, PID 32
[    1.205000] mousedev: PS/2 mouse device common for all mice
[    1.205000] input: gpio-keys as /devices/platform/gpio-keys/input/input0
[    1.205000] samsung-ts s3c2440-ts: driver attached, registering input device
[    1.205000] input: S3C24XX TouchScreen as /devices/virtual/input/input1
[    1.210000] input: PCF50633 PMU events as /devices/virtual/input/input2
[    1.215000] pcf50633-rtc pcf50633-rtc: rtc core: registered pcf50633-rtc as rtc0
[    1.215000] S3C24XX RTC, (c) 2004,2006 Simtec Electronics
[    1.215000] i2c /dev entries driver
[    1.320000] S3C2410 Watchdog Timer, (c) 2004 Simtec Electronics
[    1.320000] s3c2410-wdt s3c2410-wdt: watchdog inactive, reset disabled, irq enabled
[    1.320000] cpuidle: using governor ladder
[    1.320000] s3c-sdi s3c2440-sdi: powered down.
[    1.320000] s3c-sdi s3c2440-sdi: mmc0 - using pio, sw SDIO IRQ
[    1.320000] glamo-mci glamo-mci.0: glamo_mci driver (C)2007 Openmoko, Inc
[    1.320000] s3c-sdi s3c2440-sdi: running at 0kHz (requested: 0kHz).
[    1.325000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[    1.325000] Registered led device: gta02:red:aux
[    1.325000] Registered led device: gta02:orange:power
[    1.325000] Registered led device: gta02:blue:power
[    1.325000] Registered led device: gta02::vibrator
[    1.325000] TCP westwood registered
[    1.325000] NET: Registered protocol family 17
[    1.325000] Registering the dns_resolver key type
[    1.335000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.340000] regulator_init_complete: hcldo: disabling
[    1.350000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.350000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.355000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.355000] pcf50633-rtc pcf50633-rtc: setting system clock to 2011-10-16 13:25:17 UTC (1318771517)
[    1.385000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.420000] UBIFS: mounted UBI device 0, volume 0, name "om-gta02-rootfs"
[    1.420000] UBIFS: mounted read-only
[    1.420000] UBIFS: file system size:   246206464 bytes (240436 KiB, 234 MiB, 1939 LEBs)
[    1.420000] UBIFS: journal size:       9023488 bytes (8812 KiB, 8 MiB, 72 LEBs)
[    1.420000] UBIFS: media format:       w4/r0 (latest is w4/r0)
[    1.420000] UBIFS: default compressor: lzo
[    1.420000] UBIFS: reserved for root:  0 bytes (0 KiB)
[    1.420000] VFS: Mounted root (ubifs filesystem) readonly on device 0:11.
[    1.420000] devtmpfs: mounted
[    1.420000] Freeing init memory: 120K
[    1.430000] mmc0: queuing unknown CIS tuple 0x01 (3 bytes)
[    1.455000] mmc0: queuing unknown CIS tuple 0x1a (5 bytes)
[    1.470000] mmc0: queuing unknown CIS tuple 0x1b (8 bytes)
[    1.475000] s3c-sdi s3c2440-sdi: running at 25000kHz (requested: 25000kHz).
[    1.475000] s3c-sdi s3c2440-sdi: running at 25000kHz (requested: 25000kHz).
[    1.475000] mmc0: queuing unknown CIS tuple 0x80 (1 bytes)
[    1.475000] mmc0: queuing unknown CIS tuple 0x81 (1 bytes)
[    1.475000] mmc0: queuing unknown CIS tuple 0x82 (1 bytes)
[    1.475000] mmc0: new SDIO card at address 0001
[    1.480000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 0kHz div=0 (req: 0kHz). Bus width=0
[    1.500000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.520000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.530000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.540000] glamo-mci glamo-mci.0: powered (vdd = 15) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.545000] glamo-mci glamo-mci.0: powered (vdd = 15) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.565000] glamo-mci glamo-mci.0: powered (vdd = 15) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.680000] glamo-mci glamo-mci.0: powered (vdd = 15) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    1.700000] glamo-mci glamo-mci.0: powered (vdd = 15) clk: 16373kHz div=0 (req: 17000kHz). Bus width=0
[    1.705000] glamo-mci glamo-mci.0: powered (vdd = 15) clk: 16373kHz div=0 (req: 17000kHz). Bus width=2
[    1.705000] mmc1: new SDHC card at address e624
[    1.710000] mmcblk0: mmc1:e624 SU32G 29.7 GiB 
[    1.715000]  mmcblk0: unknown partition table
[    2.810000] s3c2410_udc: debugfs dir creation failed -19
[    2.825000] s3c2440-usbgadget s3c2440-usbgadget: S3C2440: increasing FIFO to 128 bytes
[    2.920000] g_ether gadget: using random self ethernet address
[    2.920000] g_ether gadget: using random host ethernet address
[    2.920000] usb0: MAC 16:32:9a:7a:7b:51
[    2.920000] usb0: HOST MAC 5a:60:3c:98:04:82
[    2.920000] g_ether gadget: Ethernet Gadget, version: Memorial Day 2008
[    2.920000] g_ether gadget: g_ether ready
[    3.280000] g_ether gadget: full speed config #1: CDC Ethernet (ECM)
[    3.375000] HIFInit
[    3.655000] Bluetooth: Core ver 2.16
[    3.655000] NET: Registered protocol family 31
[    3.655000] Bluetooth: HCI device and connection manager initialized
[    3.655000] Bluetooth: HCI socket layer initialized
[    3.655000] Bluetooth: L2CAP socket layer initialized
[    3.695000] Bluetooth: SCO socket layer initialized
[    3.740000] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    3.740000] Bluetooth: BNEP filters: protocol multicast
[    4.080000] usbcore: registered new interface driver usbfs
[    4.080000] usbcore: registered new interface driver hub
[    4.230000] usbcore: registered new device driver usb
[    4.275000] Bluetooth: Generic Bluetooth USB driver ver 0.6
[    4.275000] usbcore: registered new interface driver btusb
[    4.330000] pcf50633 0-0073: usb curlim to 500 mA
[    4.485000] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[    5.070000] NET: Registered protocol family 10
[    5.185000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    5.185000] s3c2410-ohci s3c2410-ohci: S3C24XX OHCI
[    5.185000] s3c2410-ohci s3c2410-ohci: new USB bus registered, assigned bus number 1
[    5.195000] s3c2410-ohci s3c2410-ohci: irq 42, io mem 0x49000000
[    5.250000] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    5.250000] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    5.250000] usb usb1: Product: S3C24XX OHCI
[    5.250000] usb usb1: Manufacturer: Linux 2.6.39.4 ohci_hcd
[    5.250000] usb usb1: SerialNumber: s3c24xx
[    5.255000] hub 1-0:1.0: USB hub found
[    5.255000] hub 1-0:1.0: 2 ports detected
[    5.410000] PPP generic driver version 2.4.2
[    5.595000] Bluetooth: RFCOMM TTY layer initialized
[    5.595000] Bluetooth: RFCOMM socket layer initialized
[    5.595000] Bluetooth: RFCOMM ver 1.11
[    5.675000] usb 1-1: new full speed USB device number 2 using s3c2410-ohci
[    6.410000] usb 1-1: New USB device found, idVendor=0a12, idProduct=0001
[    6.410000] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    6.890000] asoc: wm8753-hifi <-> s3c24xx-iis mapping ok
[    6.895000] asoc: wm8753-voice <-> dfbmcs320-pcm mapping ok
[    6.900000] input: neo1973gta02 Headset Jack as /devices/platform/soc-audio/sound/card0/input3
[   20.350000] usb0: no IPv6 routers present
[   21.360000] s3c2410: changing usb to device
[   21.860000] gta02-pm-bt gta02-pm-bt.0: __gta02_pm_bt_toggle_radio 0
[   21.865000] usb 1-1: USB disconnect, device number 2
[   62.290000] Alignment trap: enlightenment (292) PC=0x400a05de Instr=0x6023 Address=0xbeaee91f FSR 0x813
[   62.470000] Alignment trap: enlightenment (292) PC=0x400a05de Instr=0x6023 Address=0xbeaee91f FSR 0x813
[  124.320000]  mmcblk0: p1
[  150.875000] Alignment trap: enlightenment (292) PC=0x400a05de Instr=0x6023 Address=0xbeaee91f FSR 0x813
[  150.935000] PM: Syncing filesystems ... done.
[  151.120000] Freezing user space processes ... (elapsed 0.01 seconds) done.
[  151.135000] Freezing remaining freezable tasks ... (elapsed 0.01 seconds) done.
[  151.150000] Suspending console(s) (use no_console_suspend to debug)
[  151.155000] jbt6k74 spi2.0: suspended
[  151.165000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[  151.165000] wake enabled for irq 17
[  151.165000] gta02-pm-bt gta02-pm-bt.0: __gta02_pm_bt_toggle_radio 0
[  151.165000] mmc0: card 0001 removed
[  151.165000] s3c-sdi s3c2440-sdi: powered down.
[  151.165000] s3c-sdi s3c2440-sdi: powered down.
[  151.165000] PM: suspend of devices complete after 15.000 msecs
[  151.165000] PM: late suspend of devices complete after 0.001 msecs
[  151.165000] suspending dma channel 0
[  151.165000] suspending dma channel 1
[  151.165000] suspending dma channel 2
[  151.165000] suspending dma channel 3
[  151.165000] saved f6000008 value 715fbd8d
[  151.165000] saved f600001c value 0000f9ff
[  151.165000] saved fd0000c4 value 00000000
[  151.165000] saved fd0000c8 value 00000000
[  151.165000] saved fd0000d4 value 00001172
[  151.165000] saved fd0000d0 value 01551554
[  151.165000] saved fd0000d8 value 00001f7e
[  151.165000] s3c_pm_enter(3)
[  151.165000] GPIOA: save 007e5fff,00000000,00000000,00000000
[  151.165000] GPIOB: save 00155555,00000000,000007ff,00000000
[  151.165000] GPIOC: save 55555155,0000a000,0000ffdf,00000000
[  151.165000] GPIOD: save 45555555,00004019,0000ffff,00000000
[  151.165000] GPIOE: save aaaaa6aa,0000ffdf,0000f7ff,00000000
[  151.165000] GPIOF: save 0000aaaa,00000024,000000f7,00000000
[  151.165000] GPIOG: save 01aafe79,00006ef6,0000ffff,00000000
[  151.165000] GPIOH: save 001aa9a6,000002ce,000006d5,00000000
[  151.165000] GPIOJ: save 01551554,00001172,00001f7e,00000000
[  151.165000] saved fd000084 value 00000000
[  151.165000] saved f6100000 value 00ffffff
[  151.165000] saved f610000c value 00003fc0
[  151.165000] saved f6200000 value 2211d1d0
[  151.165000] saved f6200004 value 00000700
[  151.165000] saved f6200008 value 00001380
[  151.165000] saved f620000c value 00000700
[  151.165000] saved f6200010 value 00001f4c
[  151.165000] saved f6200014 value 00000700
[  151.165000] saved f6200018 value 00000700
[  151.165000] saved f6100014 value 00000005
[  151.165000] saved f6100004 value 0002a010
[  151.165000] saved f6200024 value 009e03e5
[  151.165000] saved f6100008 value 00058042
[  151.165000] saved f6100010 value 00000004
[  151.165000] Disabling IRQ 16 (pin 160)
[  151.165000] Leaving IRQ 17 (pin 161) as is
[  151.165000] Disabling IRQ 18 (pin 162)
[  151.165000] Disabling IRQ 19 (pin 163)
[  151.165000] Disabling IRQ 48 (pin 164)
[  151.165000] Disabling IRQ 49 (pin 165)
[  151.165000] Disabling IRQ 50 (pin 166)
[  151.165000] Disabling IRQ 51 (pin 167)
[  151.165000] Leaving IRQ 53 (pin 193) as is
[  151.165000] Disabling IRQ 56 (pin 196)
[  151.165000] sleep: irq wakeup masks: fffffffd,fffffdff
[  151.165000] GSTATUS3 0x3003150c
[  151.165000] GSTATUS4 0x00000000
[  151.165000] restore fd000084 (restore 00000000, was 00000000)
[  151.165000] GPIOA: CON 007e5fff => 007e5fff, DAT 00000000 => 00000000
[  151.165000] GPIOB: CON 00155555 => 00155555, DAT 00000000 => 00000000
[  151.165000] GPIOC: CON 55555155 => 55555155, DAT 0000a000 => 0000a000
[  151.165000] GPIOD: CON 45555555 => 45555555, DAT 00004019 => 00004019
[  151.165000] GPIOE: CON aaaaa6aa => aaaaa6aa, DAT 0000ffcd => 0000ffdf
[  151.165000] GPIOF: CON 00000008 => 0000aaaa, DAT 00000024 => 00000024
[  151.165000] GPIOG: CON 01aafc79 => 01aafe79, DAT 00006ef4 => 00006ef6
[  151.165000] GPIOH: CON 001aaaaa => 001aa9a6, DAT 000002de => 000002ce
[  151.165000] GPIOJ: CON 01551554 => 01551554, DAT 00001172 => 00001172
[  151.165000] post sleep: IRQs 0x02000029, 0x00010200
[  151.165000] IRQ 19 asserted at resume
[  151.165000] IRQ 41 asserted at resume
[  151.165000] IRQ 60 asserted at resume
[  151.165000] s3c_pm_enter: post sleep, preparing to return
[  151.165000] S3C PM Resume (post-restore)
[  151.165000] restore fd0000c4 (restore 00000000, was 00000000)
[  151.165000] restore fd0000c8 (restore 00000000, was 00000000)
[  151.165000] restore fd0000d4 (restore 00001172, was 00001172)
[  151.165000] restore fd0000d0 (restore 01551554, was 01551554)
[  151.165000] restore fd0000d8 (restore 00001f7e, was 00001f7e)
[  151.165000] restore f6000008 (restore 715fbd8d, was ffffffff)
[  151.165000] restore f600001c (restore 0000f9ff, was 0000ffff)
[  151.165000] timer tcon=00000000, tcnt a2c1, tcfg 00000200,00000000, usec 00001eb8
[  151.165000] PM: early resume of devices complete after 0.001 msecs
[  151.165000] s3c2410-wdt: watchdog disabled
[  151.165000] s3c24xx-nand s3c2440-nand: Tacls=1, 10ns Twrph0=3 30ns, Twrph1=2 20ns
[  151.165000] s3c-i2c s3c2440-i2c: slave address 0x10
[  151.165000] s3c-i2c s3c2440-i2c: bus frequency set to 97 KHz
[  151.165000] gta02-pm-bt gta02-pm-bt.0: __gta02_pm_bt_toggle_radio 0
[  151.195000] wake disabled for irq 17
[  151.260000] usb usb1: root hub lost power or was reset
[  151.280000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 0kHz div=0 (req: 0kHz). Bus width=0
[  151.300000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[  151.320000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[  151.325000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[  151.330000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[  151.440000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[  151.445000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 16373kHz div=0 (req: 17000kHz). Bus width=0
[  151.450000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 16373kHz div=0 (req: 17000kHz). Bus width=2
[  151.450000] jbt6k74 spi2.0: starting resume: 0
[  151.470000] jbt6k74 spi2.0: resumed: 0
[  151.470000] soc-audio soc-audio: resume work item may be lost
[  151.470000] PM: resume of devices complete after 308.751 msecs
[  151.475000] Restarting tasks ... done.
[  151.505000] s3c-sdi s3c2440-sdi: running at 0kHz (requested: 0kHz).
[  151.520000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[  151.520000] g_ether gadget: full speed config #1: CDC Ethernet (ECM)
[  151.535000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[  151.535000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[  151.540000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[  151.555000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[  151.555000] mmc0: queuing unknown CIS tuple 0x01 (3 bytes)
[  151.570000] mmc0: queuing unknown CIS tuple 0x1a (5 bytes)
[  151.575000] mmc0: queuing unknown CIS tuple 0x1b (8 bytes)
[  151.575000] s3c-sdi s3c2440-sdi: running at 25000kHz (requested: 25000kHz).
[  151.575000] s3c-sdi s3c2440-sdi: running at 25000kHz (requested: 25000kHz).
[  151.580000] mmc0: queuing unknown CIS tuple 0x80 (1 bytes)
[  151.580000] mmc0: queuing unknown CIS tuple 0x81 (1 bytes)
[  151.580000] mmc0: queuing unknown CIS tuple 0x82 (1 bytes)
[  151.580000] mmc0: new SDIO card at address 0001
[  151.655000] FAT: Filesystem error (dev mmcblk0p1)
[  151.655000]     invalid access to FAT (entry 0x002e2500)
[  151.660000] FAT: Filesystem error (dev mmcblk0p1)
[  151.660000]     invalid access to FAT (entry 0x00780074)
[  152.130000] FAT: Filesystem error (dev mmcblk0p1)
[  152.130000]     invalid access to FAT (entry 0x00780074)
[  152.425000] Alignment trap: enlightenment (292) PC=0x400a05de Instr=0x6023 Address=0xbeaee91f FSR 0x813
[  153.475000] FAT: Filesystem error (dev mmcblk0p1)
[  153.475000]     invalid access to FAT (entry 0x017e4552)
[  153.475000] mmcblk0: error -16 sending status command
[  153.475000] mmcblk0: error -110 sending read/write command, response 0x900, card status 0x0
[  153.475000] end_request: I/O error, dev mmcblk0, sector 9616
[  153.475000] FAT: FAT read failed (blocknr 7568)
[  153.475000] mmcblk0: error -16 sending status command
[  153.475000] mmcblk0: error -16 sending read/write command, response 0x0, card status 0x0
[  153.475000] end_request: I/O error, dev mmcblk0, sector 10990
[  153.475000] FAT: FAT read failed (blocknr 8942)
[  153.475000] glamo-mci glamo-mci.0: Error after cmd: 0xc120
[  153.475000] Unable to handle kernel NULL pointer dereference at virtual address 00000000
[  153.475000] pgd = c0004000
[  153.475000] [00000000] *pgd=00000000
[  153.475000] Internal error: Oops: 17 [#1]
[  153.475000] last sysfs file: /sys/devices/platform/s3c2440-i2c/i2c-0/0-0073/pcf50633-backlight/backlight/pcf50633-backlight/bl_power
[  153.475000] Modules linked in: nls_iso8859_1 vfat fat snd_soc_wm8753 snd_soc_s3c24xx snd_soc_neo1973_wm8753 snd_soc_s3c24xx_i2s snd_soc_dfbmcs320 snd_soc_core snd_pcm snd_timer snd soundcore snd_page_alloc rfcomm ppp_generic slhc ohci_hcd ipv6 hidp btusb usbcore bnep bluetooth ar6000 g_ether s3c2410_udc
[  153.475000] CPU: 0    Not tainted  (2.6.39.4 #1)
[  153.475000] PC is at __wake_up_common+0x28/0x84
[  153.475000] LR is at complete+0x3c/0x48
[  153.475000] pc : [<c0034960>]    lr : [<c0034a78>]    psr: a0000093
[  153.475000] sp : c7a03f30  ip : 00000000  fp : c7a03f54
[  153.475000] r10: 00000000  r9 : 00000001  r8 : 00000003
[  153.475000] r7 : 00000000  r6 : c7ab5e68  r5 : c79fcf60  r4 : a0000013
[  153.475000] r3 : 00000000  r2 : 00000001  r1 : 00000003  r0 : 00000000
[  153.475000] Flags: NzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment kernel
[  153.475000] Control: c000717f  Table: 34160000  DAC: 00000017
[  153.475000] Process irq/132-glamo-m (pid: 37, stack limit = 0xc7a02270)
[  153.475000] Stack: (0xc7a03f30 to 0xc7a04000)
[  153.475000] 3f20:                                     00000000 a0000013 c79fcf60 c7a02000
[  153.475000] 3f40: c7ab5e9c c7ab5e88 00000000 00000000 c7a03f6c c0034a78 00000000 c0342498
[  153.475000] 3f60: c7ab5e88 c7ab5e88 00000000 c0208924 c79d0640 c0213904 c79cd2e0 c03851b0
[  153.475000] 3f80: c7a03fac c02aa9bc 00000000 c793ad40 c79fcf60 c7a02000 c793ad40 c79fcf60
[  153.475000] 3fa0: c7a02000 c793ad90 00000001 c0065794 00000000 c781be88 c79fcf60 c00656c0
[  153.475000] 3fc0: 00000013 00000000 00000000 c0051674 00000000 00000000 c79fcf60 00000000
[  153.475000] 3fe0: c7a03fe0 c7a03fe0 c781be88 c00515f0 c0027710 c0027710 83220018 44020045
[  153.475000] [<c0034960>] (__wake_up_common+0x28/0x84) from [<c0034a78>] (complete+0x3c/0x48)
[  153.475000] [<c0034a78>] (complete+0x3c/0x48) from [<c0208924>] (mmc_request_done+0x48/0x90)
[  153.475000] [<c0208924>] (mmc_request_done+0x48/0x90) from [<c0213904>] (glamo_mci_irq+0xb8/0x13c)
[  153.475000] [<c0213904>] (glamo_mci_irq+0xb8/0x13c) from [<c0065794>] (irq_thread+0xd4/0x190)
[  153.475000] [<c0065794>] (irq_thread+0xd4/0x190) from [<c0051674>] (kthread+0x84/0x8c)
[  153.475000] [<c0051674>] (kthread+0x84/0x8c) from [<c0027710>] (kernel_thread_exit+0x0/0x8)
[  153.475000] Code: e1a08001 e1a09002 e1a07003 e59ba004 (e41c400c) 
[  153.480000] ---[ end trace da54eaa494a3ad79 ]---
[  153.480000] exiting task "irq/132-glamo-m" (37) is an active IRQ thread (irq 132)
[  154.540000] pcf50633 0-0073: usb curlim to 500 mA
[  220.030000] Alignment trap: enlightenment (292) PC=0x400a05de Instr=0x6023 Address=0xbeaee91f FSR 0x813
[  220.730000] Alignment trap: enlightenment (292) PC=0x400a05de Instr=0x6023 Address=0xbeaee91f FSR 0x813
[  258.460000] pcf50633 0-0073: usb curlim to 0 mA
[  259.630000] g_ether gadget: full speed config #1: CDC Ethernet (ECM)
[  262.240000] pcf50633 0-0073: usb curlim to 500 mA

So I looked at /sys/module/glamo_mci/parameters/sd_post_power_clock:

root@om-gta02:/sys/module/glamo_mci/parameters# ls
sd_max_clk           sd_post_power_clock  sd_slow_ratio
root@om-gta02:/sys/module/glamo_mci/parameters# cat sd_post_power_clock 
1000000

And I added that number to sd_max_clk at boot:

root@om-gta02:~# cat /boot/append-GTA02 
loglevel=1 quiet splash glamo_mci.sd_max_clk=1000000

and it fixed my issue.

Thanks a lot JaMa? on #openmoko-cdevel on freenode IRC server for telling me to try that again...

Denis.

Note: See TracTickets for help on using tickets.